+++
title = "OpenWrt Router einrichten"
+++

# OpenWrt-Router für Heimnetzwerk einrichten

Eine kurze Anleitung um einen Router (hier einen TP-Link TL-WR841N) mit OpenWrt zu flashen und im Heimnetzwerk einzurichten.
Falls du noch keinen Router hast, findest du [hier eine Liste von unterstützten Geräten.](https://openwrt.org/toh/views/toh_available_16128)

## Warum?

OpenWrt ist freie Software. Dadurch können alle die möchten, den Quellcode der Software lesen und so sicherstellen, dass sie vertrauenswürdig ist.
Außerdem lässt sich OpenWrt sehr flexibel einsetzen und gibt den Nutzenden die volle Kontrolle über das Gerät. 

## Router flashen

### Das Image finden
Zuerst müssen wir die passende Firmware für das Gerät finden. Dazu können wir auf 
[https://openwrt.org/toh/start](https://openwrt.org/toh/start) nach dem Gerätenamen (hier: WR841N) suchen.
Wenn der Router unterstützt wird, findet sich in "Tech Data" dann unter "Firmware OpenWrt Install URL" das korrekte Image für das Gerät.
 
Für genauere Informationen, zu den einzelnen Routern, kann auch in [wiki.openwrt.org](https://wiki.openwrt.org) geschaut werden. (Vorsicht das Wiki ist allerdings selten aktuell.) Dort gibt es dann detailierte Anleitungen zu den einzelnen Geräten, den wir folgen können. Allerdings verwenden wir anstatt des Openwrt-Images das korrekte OpenWrt Image.
Als Orientierung kann der Pfad des veralteten Images dienen.
Das richtige Image muss "factory" im Namen enthalten, da wir von der Herstellerfirmware wechseln. "sysupgrade" verwenden wir wenn auf dem Router bereits OpenWrt läuft und wir es updaten wollen.

### Image aufspielen

Nun musst du ein LAN-Kabel mit einem LAN-Anschluss (hier: gelb) des Routers und deinem Rechner verbinden und den Router mit Strom versorgen. 
Wenn dir der Router eine Addresse gegeben hat, kannst du die IP Adresse des Routers im Browser eingeben und dich einloggen. 
Die Routeradresse kannst du entweder aus den Netzwerkeinstellungen oder aus dem Handbuch herausfinden. Dort stehen auch die Standard-Logindaten. Manchmal stehen sie auch auf der Rückseite des Routers.
Wenn du eingeloggt bist, kannst du unter "Firmare upgrade" das Image auswählen und auf den Router spielen. 
Damit hast du  OpenWrt installiert.

## Minimalistische Standard-Konfiguration

Nach jeder Einstellung muss du auf "Save and Apply" klicken, sonst vergisst der Router die Einstellungen beim Wechsel zwischen den Tabs wieder.

Im Tab "Network --> Interfaces" lassen wir alles wie gahabt.
DHCP ist an. Im LAN verteilt der Router IPs. Das lassen wir einfach so. 
Auf dem WAN-Anschluss (hier: blau) holt sich der Router als DHCP-Client eine IP.
Anfragen aus dem LAN werden ans WAN weitergegeben. Anfragen aus dem WAN ins LAN aber verworfen.

Im Tab "Network --> Wireless" müssen wir noch das WLAN benennen, mit Passwort versehen und anschalten: 
Im Abschnitt Device Configuration musst du gar nichts machen, kannst aber die "channels" auf auto stellen. und die Breite der Kanäle auf 40Mhz. 
Muss aber nicht sein.

Bei "Interface Configuration" musste du den Mode: "Access Point"
Bei "ESSID" kannst du den Namen des WLANs eintragen.
und dort dann im Tab "Wireless Security" Encryption auf WPA2-PSK stellen und eine WLAN-Passwort bei "Key" eintragen.

Im Tab "System --> System" geben wir dem Router noch einen netteren Namen als OpenWrt und klicken einmal auf "Sync with Browser" um die Uhrzeit einzustellen.
Zuletzt müssen wir noch im Abschnitt "System --> Administration" ein Passwort für den Router festlegen.
Ich persönlich schreibe das Passwort meistens gleich mit auf den Router, da ohnehin jeder der Zugang zu dem Router hat, sich vollen Zugriff zum Netz verschaffen kann. Wichtig ist das Passwort vorallem, um es Eindringlingen, die aus der Ferne auf dein Netzwerk zugreifen, etwas schwerer zu machen.
Sinnvoll ist es außerdem den SSH-Zugang auf LAN zu beschränken.

## Etwas besser fürs Reudnetz geeignete Konfiguration

In der oben erwähnten Konfiguration lassen wir die Einstellungen unter "Network --> Interfaces" unverändert. Das hat zur Folge das der Router eine "network address translation" (NAT) zwischen WAN (hier blau) und den LAN Ports (hier gelb) macht. 
Da mehrere NATs hintereinander für einige Anwendungen zu Problemen führen können und NAT auch den Router mehr abverlangt, wollen wir das ändern.
Danach ist der Router mehr oder weniger ein einfacher "Repeater" der WAN, LAN und Wifi miteinander verbindet und alle komplizieren Aufgaben den Router einem anderen Router im Netz überlässt. Das kann zum Beispiel unsere Antenne sein.

Mach erstmal alles so wie oben erwähnt. Danach können wir das NAT deaktivieren:
 
Im Tab "Network --> Interfaces" müssen wir den DHCP Server deaktivieren, das sonst mehrere Geräte im selben Netz Addressen verteilen. 
Dazu klickst du auf das "LAN" interface und dort auf den Tab "DHCP Server" und setzt ein Häkchen bei "ignore interface".

*Vorsicht: Danach verteilt der Router keine Addressen mehr. Wenn du ihn erreichen willst musst du dir jetzt auf deinem Computer eine statische Addresse aus dem selben Netzwerk geben. Wenn der Router als Addresse die "192.168.1.1" hat, kannst du dir zum Beispiel die "192.168.1.23" geben. 
Bei mehreren Router kann es sinnvoll sein, sich zu überlegen, welche statischen Addressen die Router bekommen sollen. Wenn sie dieselbe haben, sind sie nicht mehrzuverlässig erreichbar. Die Verbindung mit dem Internet beieinträchtigt das aber nicht.*

Stelle sicher, das der Router keine Addressen mehr verteilt, sprich DHCP deaktiviert ist.
Jetzt kannst du entweder das Kabel, das aktuell im WAN Port (blauer Port) steckt mit in die LAN Ports (gelben Ports) stecken oder den WAN Port zu einem weitern LAN port umkonfigurieren. Das ist dann sinnvoll, wenn die vorhandenen Anschlüsse knapp werden.

WAN Port umkonfigurieren: 
Im Tab "Network --> Interfaces" auf WAN klicken. Dort im Tab "Physical Settings" unter Interface den eingetragenen Port entfernen.
Danach kannst du im Tab "Network --> Interfaces" auf LAN klicken und dort unter "Physical Settings" den eben entfernten Port hinzufügen.
Nun sind alle Ports des Routers LAN Ports. Alle Ports und das WLAN sind untereinander verbunden (gebridged). 
Ab jetzt ist es egal wo welches Kabel steckt. 

